org.apache.tinkerpop.gremlin.process

## Class ProcessComputerSuite

- java.lang.Object
- - org.junit.runner.Runner
  - - org.junit.runners.ParentRunner<org.junit.runner.Runner>
    - - org.junit.runners.Suite
      - - org.apache.tinkerpop.gremlin.AbstractGremlinSuite
        - - org.apache.tinkerpop.gremlin.process.ProcessComputerSuite

- All Implemented Interfaces:
    org.junit.runner.Describable, org.junit.runner.manipulation.Filterable, org.junit.runner.manipulation.Orderable, org.junit.runner.manipulation.Sortable

      public class ProcessComputerSuite
      extends AbstractGremlinSuite

  The `ProcessComputerSuite` is a JUnit test runner that executes the Gremlin Test Suite over a `Graph` implementation. This test suite covers traversal operations around `GraphComputer` and should be implemented by providers to validate that their implementations are compliant with that Gremlin language. Implementations that use this test suite should return `true` for `Graph.Features.GraphFeatures.supportsComputer()`.

  For more information on the usage of this suite, please see `StructureStandardSuite`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `AbstractGremlinSuite.OptOutTestFilter`

    - ### Nested classes/interfaces inherited from class org.junit.runners.Suite

      `org.junit.runners.Suite.SuiteClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessComputerSuite(Class<?> klass, org.junit.runners.model.RunnerBuilder builder)` This constructor is used by JUnit and will run this suite with its concrete implementations of the `testsToEnforce`.
    `ProcessComputerSuite(Class<?> klass, org.junit.runners.model.RunnerBuilder builder, Class<?>[] testsToExecute)` This constructor is used by Gremlin flavor implementers who supply their own implementations of the `testsToEnforce`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinSuite

      `afterTestExecution, beforeTestExecution, getGraphProviderClass, runChild, withAfterClasses`

    - ### Methods inherited from class org.junit.runners.Suite

      `describeChild, emptySuite, getChildren`

    - ### Methods inherited from class org.junit.runners.ParentRunner

      `childrenInvoker, classBlock, classRules, collectInitializationErrors, createTestClass, filter, getDescription, getName, getRunnerAnnotations, getTestClass, isIgnored, order, run, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withBeforeClasses, withInterruptIsolation`

    - ### Methods inherited from class org.junit.runner.Runner

      `testCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessComputerSuite

          public ProcessComputerSuite(Class<?> klass,
                                      org.junit.runners.model.RunnerBuilder builder)
                               throws org.junit.runners.model.InitializationError

      This constructor is used by JUnit and will run this suite with its concrete implementations of the `testsToEnforce`.
      Throws:
        `org.junit.runners.model.InitializationError`

    - #### ProcessComputerSuite

          public ProcessComputerSuite(Class<?> klass,
                                      org.junit.runners.model.RunnerBuilder builder,
                                      Class<?>[] testsToExecute)
                               throws org.junit.runners.model.InitializationError

      This constructor is used by Gremlin flavor implementers who supply their own implementations of the `testsToEnforce`.
      Throws:
        `org.junit.runners.model.InitializationError`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.